<?php
/**
 * Auto_Google_News_Welcome_Page Class
 *
 * @since  1.0.0
 * @package Auto Robot
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly

if ( ! class_exists( 'Google_News_Welcome_Page' ) ) :

	class Auto_Google_News_Welcome_Page extends Auto_Google_News_Admin_Page {
        /**
         * Add page screen hooks
         *
         * @since 1.0.0
         *
         * @param $hook
         */
        public function enqueue_scripts( $hook ) {
            // Load admin styles
			auto_google_news_admin_enqueue_styles( AUTO_GOOGLE_NEWS_VERSION );

            $auto_google_news_data = new Auto_Google_News_Admin_Data();

        	// Load admin scripts
        	auto_google_news_admin_enqueue_scripts_welcome(
            	AUTO_GOOGLE_NEWS_VERSION,
            	$auto_google_news_data->get_options_data()
        	);
		}

		/**
         * Render page container
         *
         * @since 1.0.0
         */
        public function render() {

            $accessibility_enabled = get_option( 'auto_google_news_enable_accessibility', false ); ?>

            <main class="google_news-wrap <?php echo $accessibility_enabled ? 'google_news-color-accessible' : ''; ?> <?php echo esc_attr( 'auto-google-news-' . $this->page_slug ); ?>">

                <?php
                $this->render_page_content();
                ?>

            </main>

            <?php
        }
	}

endif;
