<?php
$source = isset( $_GET['source'] ) ? sanitize_text_field( $_GET['source'] ) : 'dashboard';
$id = isset( $_GET['id'] ) ? sanitize_text_field( $_GET['id'] ) : '';
// Campaign Settings
$settings = array();
if(!empty($id)){
    $model    = $this->get_single_model( $id );
    $settings = $model->settings;
    $settings['status'] = $model->status;
}
?>
<div class="google_news-row-with-sidenav">

    <div class="google_news-sidenav">

        <div class="google_news-mobile-select">
            <span class="google_news-select-content"><?php esc_html_e( 'General', Auto_Google_News::DOMAIN ); ?></span>
            <ion-icon name="chevron-down" class="google_news-icon-down"></ion-icon>
        </div>

        <ul class="google_news-vertical-tabs google_news-sidenav-hide-md">

            <li class="google_news-vertical-tab">
                <a href="#" data-nav="dashboard"><?php esc_html_e( 'General', Auto_Google_News::DOMAIN ); ?></a>
            </li>

            <li class="google_news-vertical-tab">
                <a href="#" data-nav="schedule"><?php esc_html_e( 'Schedule', Auto_Google_News::DOMAIN ); ?></a>
            </li>

            <li class="google_news-vertical-tab">
                <a href="#" data-nav="post"><?php esc_html_e( 'Post Status', Auto_Google_News::DOMAIN ); ?></a>
            </li>

            <li class="google_news-vertical-tab">
                <a href="#" data-nav="category"><?php esc_html_e( 'Categories & Tags', Auto_Google_News::DOMAIN ); ?></a>
            </li>

        </ul>

        <div class="google_news-sidenav-settings">
          <a href="#run-campaign-popup" class="open-popup-campaign" data-effect="mfp-zoom-in">
            <button id="google_news-run-button" class="google_news-button google_news-sidenav-hide-md" accesskey="p">
                <?php esc_html_e( 'Run Campaign', Auto_Google_News::DOMAIN ); ?>
            </button>
          </a>
      </div>

    </div>

    <form class="google_news-campaign-form" method="post" name="google_news-campaign-form" action="">

    <div class="google_news-box-tabs">
        <?php $this->template( 'campaigns/wizard/sections/tab-save',  $settings); ?>
        <?php $this->template( 'campaigns/wizard/sections/tab-schedule',  $settings); ?>
        <?php $this->template( 'campaigns/wizard/sections/tab-dashboard', $settings); ?>
        <?php $this->template( 'campaigns/wizard/sections/tab-post', $settings); ?>
        <?php $this->template( 'campaigns/wizard/sections/tab-category', $settings); ?>
    </div>
        <input type="hidden" name="google_news_selected_source" value="<?php echo esc_html($source); ?>">
        <input type="hidden" name="campaign_id" value="<?php echo esc_html($id); ?>">
    </form>
</div>

<div id="run-campaign-popup" class="white-popup mfp-with-anim mfp-hide">

		<div class="google_news-box-header google_news-block-content-center">
			<h3 class="google_news-box-title type-title"><?php esc_html_e( 'Campaign Console', Auto_Google_News::DOMAIN ); ?></h3>
		</div>

        <div class="google_news-box-body google_news-campaign-popup-body">
        </div>

        <div class="google_news-box-footer google_news-box-footer-center">
          <button type="button" class="google_news-button google_news-run-campaign-button">
              <span class="google_news-loading-text"><?php esc_html_e( 'Run', Auto_Google_News::DOMAIN ); ?></span>
          </button>
        </div>

		<img src="<?php echo esc_url(AUTO_GOOGLE_NEWS_URL.'/assets/images/google_news.png'); ?>" class="google_news-image google_news-image-center" aria-hidden="true" alt="<?php esc_attr_e( 'Auto Google News', Auto_Google_News::DOMAIN ); ?>">
</div>
