<?php


// Get all post categories
$args = array (
	'hide_empty' => 0,
	'taxonomy' => 'category',
	'type' => $post_type
);

$categories = get_categories ( $args );

$parent_categories = array ();
$child_categories = array ();

// function to display categories

// Get parent categories
foreach ( $categories as $category ) {
	if ($category->parent == 0) {
        $parent_categories [] = $category;
	} else {
        $child_categories [$category->parent] [] = $category;
	}
}

// Get all post tags
$tags = get_tags(array('get'=>'all'));

// Initial post category
$google_news_post_category = isset($settings['google_news-post-category']) ? $settings['google_news-post-category'] : array();
?>
<div id="category" class="google_news-box-tab" data-nav="category" >

	<div class="google_news-box-header">
		<h2 class="google_news-box-title"><?php esc_html_e( 'Categories & Tags', Auto_Google_News::DOMAIN ); ?></h2>
	</div>

    <div class="google_news-box-body">
        <div class="google_news-box-settings-row">
            <div class="google_news-box-settings-col-1">
                <span class="google_news-settings-label"><?php esc_html_e( 'Categories', Auto_Google_News::DOMAIN ); ?></span>
                <span class="google_news-description"><?php esc_html_e( 'Select post categories.', Auto_Google_News::DOMAIN ); ?></span>
            </div>
            <div class="google_news-box-settings-col-2">

                <label class="google_news-settings-label"><?php esc_html_e( 'Categories', Auto_Google_News::DOMAIN ); ?></label>

                <span class="google_news-description"><?php esc_html_e( 'Select your campaign post categories.', Auto_Google_News::DOMAIN ); ?></span>

                <select class="google_news-category-multi-select" multiple="true">
                    <?php
                    foreach ( $parent_categories as $parent_category ) {
                        auto_google_news_display_category( $parent_category, $child_categories, $google_news_post_category);
                    }
                    ?>
                </select>


            </div>
        </div>

        <div class="google_news-box-settings-row">
            <div class="google_news-box-settings-col-1">
                <span class="google_news-settings-label"><?php esc_html_e( 'Tags', Auto_Google_News::DOMAIN ); ?></span>
                <span class="google_news-description"><?php esc_html_e( 'Select post tags.', Auto_Google_News::DOMAIN ); ?></span>
            </div>
            <div class="google_news-box-settings-col-2">

                <label class="google_news-settings-label"><?php esc_html_e( 'Tags', Auto_Google_News::DOMAIN ); ?></label>

                <span class="google_news-description"><?php esc_html_e( 'Select your post tags.', Auto_Google_News::DOMAIN ); ?></span>

                <select class="google_news-tag-multi-select" multiple="true">
                    <?php
                    foreach ( $tags as $tag ) {
                        auto_google_news_display_tag($tag, $settings['google_news-post-tag']);
                    }
                    ?>
                </select>


            </div>
        </div>

   </div>

</div>
