<?php
$current_addon_data = auto_google_news_get_addon_data('twitter');
?>
<div class="google_news-box" role="document">

    <div class="google_news-box-header google_news-block-content-center">

        <div class="google_news-dialog-image" aria-hidden="true">

            <img src="<?php echo esc_url(AUTO_GOOGLE_NEWS_URL.'/assets/images/twitter.png'); ?>" alt="<?php esc_attr_e( 'Twitter API', Auto_Google_News::DOMAIN ); ?>">

        </div>

        <div class="google_news-box-content integration-header">

            <h3 class="google_news-box-title" id="dialogTitle2"><?php esc_html_e( 'Setup Twitter API', Auto_Google_News::DOMAIN ); ?></h3>

			<span class="google_news-description">
                <?php esc_html_e( 'Setup Twitter API to be used by Auto Google News to display tweets on your blog.', Auto_Google_News::DOMAIN ); ?>
			</span>

        </div>

    </div>

    <div class="google_news-box-body">
        <form class="google_news-integration-form" method="post" name="google_news-integration-form" action="">

            <div class="google_news-form-field">
                <label class="google_news-label"><?php esc_html_e( 'Client ID', Auto_Google_News::DOMAIN ); ?></label>
                <div class="google_news-control-with-icon">
                    <ion-icon class="google_news-icon-person" name="person"></ion-icon>
                    <input name="client_id" placeholder="<?php esc_html_e( 'Client ID', Auto_Google_News::DOMAIN ); ?>" value="<?php if(!empty($current_addon_data['client_id'])){echo $current_addon_data['client_id'];}?>" class="google_news-form-control">
                </div>
            </div>

            <div class="google_news-form-field">
                <label class="google_news-label"><?php esc_html_e( 'Client Secret', Auto_Google_News::DOMAIN ); ?></label>
                <div class="google_news-control-with-icon">
                    <ion-icon class="google_news-icon-key" name="key"></ion-icon>
                    <input name="client_secret" placeholder="<?php esc_html_e( 'Client Secret', Auto_Google_News::DOMAIN ); ?>" value="<?php if(!empty($current_addon_data['client_secret'])){echo $current_addon_data['client_secret'];}?>" class="google_news-form-control">
                </div>
            </div>

            <div class="google_news-form-field">
                <label class="google_news-label"><?php esc_html_e( 'Access Token', Auto_Google_News::DOMAIN ); ?></label>
                <div class="google_news-control-with-icon">
                    <ion-icon class="google_news-icon-key" name="key"></ion-icon>
                    <input name="access_token" placeholder="<?php esc_html_e( 'Access Token', Auto_Google_News::DOMAIN ); ?>" value="<?php if(!empty($current_addon_data['access_token'])){echo $current_addon_data['access_token'];}?>" class="google_news-form-control">
                </div>
            </div>

            <div class="google_news-form-field">
                <label class="google_news-label"><?php esc_html_e( 'Access Token Secret', Auto_Google_News::DOMAIN ); ?></label>
                <div class="google_news-control-with-icon">
                    <ion-icon class="google_news-icon-key" name="key"></ion-icon>
                    <input name="access_token_secret" placeholder="<?php esc_html_e( 'Access Token Secret', Auto_Google_News::DOMAIN ); ?>" value="<?php if(!empty($current_addon_data['access_token_secret'])){echo $current_addon_data['access_token_secret'];}?>" class="google_news-form-control">
                </div>
            </div>

            <input type="hidden" name="slug" value="<?php echo esc_attr('twitter');?>" >
            <input type="hidden" name="is_connected" value="<?php echo esc_attr($current_addon_data['is_connected']);?>" >


            <div class="google_news-border-frame google_news-description">

                <span>
                    <?php esc_html_e( 'Follow these instructions to retrieve your Client ID and Secret.', Auto_Google_News::DOMAIN ); ?>
                </span>

            </div>

        </form>

    </div>

    <div class="google_news-box-footer google_news-box-footer-center">
        <button type="button" class="google_news-button google_news-addon-connect">
            <span class="google_news-loading-text">
                <?php
                if($current_addon_data['is_connected']){
                    esc_html_e( 'Disconnect', Auto_Google_News::DOMAIN );
                }else{
                    esc_html_e( 'Connect', Auto_Google_News::DOMAIN );
                }
                ?>
            </span>
        </button>
    </div>

</div>