(function($){

    "use strict";

    var AutoGoogle_NewsList = {

        init: function()
        {
            // Document ready.
            $( document ).ready( AutoGoogle_NewsList._loadPopup() );
            $( document ).ready( AutoGoogle_NewsList._displayDetails() );



            this._bind();
        },

        /**
         * Binds events for the Auto Google News List.
         *
         * @since 1.0.0
         * @access private
         * @method _bind
         */
        _bind: function()
        {
            $( document ).on('click', '.google_news-dropdown-anchor', AutoGoogle_NewsList._displayActions );
            $( document ).on('click', '.google_news-close-popup', AutoGoogle_NewsList._closePopup );
            $( document ).on('click', '.google_news-delete-action', AutoGoogle_NewsList._deleteAction );
            $( document ).on('click', '#google_news-check-all-campaigns', AutoGoogle_NewsList._checkAll );
            $( document ).on('click', '.google_news-bulk-action-button', AutoGoogle_NewsList._preparePost );

        },

        /**
         * Display Actions
         *
         */
        _displayActions: function( event ) {

            event.preventDefault();


            if($(this).closest('.google_news-dropdown').find('.google_news-dropdown-list').hasClass('active')){
                $(this).closest('.google_news-dropdown').find('.google_news-dropdown-list').removeClass('active');
            }else{
                $(this).closest('.google_news-dropdown').find('.google_news-dropdown-list').addClass('active');
            }

        },

        /**
         * Load Popup
         *
         */
        _loadPopup: function( ) {

            $('.open-popup-delete').magnificPopup({
                type:'inline',
                midClick: true, // Allow opening popup on middle mouse click. Always set it to true if you don't provide alternative source in href.
                // Delay in milliseconds before popup is removed
                removalDelay: 300,

                // Class that is added to popup wrapper and background
                // make it unique to apply your CSS animations just to this exact popup
                callbacks: {
                    beforeOpen: function() {
                        this.st.mainClass = this.st.el.attr('data-effect');
                    }
                },
            });

        },

        /**
         * Close Popup
         *
         */
        _closePopup: function( ) {

            $('.open-popup-delete').magnificPopup('close');

        },

        /**
         * Delete Action
         *
         */
        _deleteAction: function( ) {

            var data = $(this).data('campaign-id');

            $('.google_news-delete-id').val(data);


        },

        /**
         * Check All
         *
         */
        _checkAll: function( ) {

            if($(this).prop('checked')){
                $('.google_news-check-single-campaign').prop('checked', true);
            }else{
                $('.google_news-check-single-campaign').prop('checked', false);

            }

        },

        /**
         * Prepare data before post action
         *
         */
        _preparePost: function( ) {

            var ids = [];
            $('.google_news-check-single-campaign').each(function( index ) {
                if($(this).prop('checked')){
                    var value = $(this).val();
                    ids.push(value);
                }
            });

            $('#google_news-select-campaigns-ids').val(ids);

        },

        /**
         * Display Campaign Details
         *
         */
        _displayDetails: function( ) {

            var indicator = $('.google_news-accordion-open-indicator');
            indicator.on('click', function(){
                $(this).closest('.google_news-accordion-item').find('.google_news-accordion-item-body').toggleClass('google_news-campaign-detail-hide');
                $(this).closest('.google_news-accordion-item').find('.google_news-accordion-item-date').toggleClass('google_news-campaign-detail-hide');
            });



        },


    };

    /**
     * Initialize AutoGoogle_NewsList
     */
    $(function(){
        AutoGoogle_NewsList.init();
    });

})(jQuery);
