<?php
/**
 * Auto Google News Log Class
 *
 * @since  1.0.0
 * @package Auto Google News
 */

defined( 'ABSPATH' ) or exit;

if ( ! class_exists( 'Auto_Google_News_Log' ) ) :

	/**
	 * Auto Google News Log
	 */
	class Auto_Google_News_Log {

        /**
         * Campaign ID
         *
         * @int
         */
        public $campaign_id;

		/**
		 * Constructor.
		 *
		 * @since 1.1.0
		 */
		public function __construct($campaign_id) {
            $this->campaign_id = $campaign_id;
            $this->start();
        }

        /**
         * Campaign Job Start
         *
         * @since 1.0.0
         * @return void
         */
        public function start() {
            $level = 'info';
            $this->add( 'Started Campaign Job Process', $level );
        }

        /**
         * Write content to a log table.
         *
         * @since 1.1.0
         * @param string $content content to be saved to the file.
         */
        public function add( $content, $level = 'info' ) {

            global $wpdb;
            $wpdb->insert(
				"{$wpdb->prefix}auto_google_news_logs",
				array(
					'camp_id'    =>  $this->campaign_id,
                    'message'    =>  $content,
                    'level'      =>  $level,
					'created' =>  microtime( true ),
				)
			);
        }

    }

endif;
